namespace;

interface

uses
  System,
  System.Data,
  System.Configuration,
  System.Web,
  System.Web.Security,
  System.Web.SessionState,
  System.Web.UI,
  System.Web.UI.WebControls,
  System.Web.UI.WebControls.WebParts,
  System.Web.UI.HtmlControls,
  System.Text,
  System.Linq;

type
  Default3 = public partial class(System.Web.UI.Page)
  protected
    method Button3_Click(sender: System.Object; e: System.EventArgs);
    method Button2_Click(sender: System.Object; e: System.EventArgs);
    method Button1_Click(sender: System.Object; e: System.EventArgs);
    method Page_Load(sender: Object; e: EventArgs);
  end;

implementation

method Default3.Page_Load(sender: Object; e: EventArgs);
begin

end;
method Default3.Button1_Click(sender: System.Object; e: System.EventArgs);
var
  sb: StringBuilder := new StringBuilder();
  lista: TMeses := new TMeses();
begin
  lista.AddMes(1, "Janeiro");
  lista.AddMes(2, "Fevereiro");
  lista.AddMes(3, "Maro");
  lista.AddMes(4, "Abril");
  lista.AddMes(5, "Maio");
  lista.AddMes(6, "Junho");
  lista.AddMes(7, "Julho");
  lista.AddMes(8, "Agosto");
  lista.AddMes(9, "Setembro");
  lista.AddMes(10, "Outubro");
  lista.AddMes(11, "Novembro");
  lista.AddMes(12, "Dezembro");

  var pesquisa := from mes in lista.Meses
                  group by mes.sEstacao;
 		   
  for each grupo in pesquisa do
  begin
    sb.AppendLine("Estacao: " +  grupo.Key);
    sb.AppendLine(" **  Meses  ** ");

    for each mes in grupo do
      sb.AppendLine(mes.sNome);

    sb.AppendLine("");
  end;

  textBox1.Text := sb.ToString();  
end;

method Default3.Button2_Click(sender: System.Object; e: System.EventArgs);
var
  sb: StringBuilder := new StringBuilder();
  lista: TMeses := new TMeses();
begin
  lista.AddMes(1, "Janeiro");
  lista.AddMes(2, "Fevereiro");
  lista.AddMes(3, "Maro");
  lista.AddMes(4, "Abril");
  lista.AddMes(5, "Maio");
  lista.AddMes(6, "Junho");
  lista.AddMes(7, "Julho");
  lista.AddMes(8, "Agosto");
  lista.AddMes(9, "Setembro");
  lista.AddMes(10, "Outubro");
  lista.AddMes(11, "Novembro");
  lista.AddMes(12, "Dezembro");

  var pesquisa := from mes in lista.Meses
                  group by mes.sEstacao;
 		   
  for each grupo in pesquisa do
  begin
    sb.AppendLine(" Grupo: " + grupo.Key);
    sb.AppendLine(" Min: " + grupo.Min(mes -> mes.nNumero));
    sb.AppendLine(" Max: " + grupo.Max(mes -> mes.nNumero));

    sb.AppendLine("");
  end;

  textBox1.Text := sb.ToString();  
end;

method Default3.Button3_Click(sender: System.Object; e: System.EventArgs);
var
  sb: StringBuilder := new StringBuilder();
  lista: TMeses := new TMeses();
begin
  lista.AddMes(1, "Janeiro");
  lista.AddMes(2, "Fevereiro");
  lista.AddMes(3, "Maro");
  lista.AddMes(4, "Abril");
  lista.AddMes(5, "Maio");
  lista.AddMes(6, "Junho");
  lista.AddMes(7, "Julho");
  lista.AddMes(8, "Agosto");
  lista.AddMes(9, "Setembro");
  lista.AddMes(10, "Outubro");
  lista.AddMes(11, "Novembro");
  lista.AddMes(12, "Dezembro");

  var pesquisa := from mes in lista.Meses
                  group by mes.sEstacao;
 		   
  for each grupo in pesquisa do
  begin
    sb.AppendLine(" Grupo: " + grupo.Key);
    sb.AppendLine(" Total: " + grupo.Count());
  end;

  textBox1.Text := sb.ToString();   
end;


end.
