namespace;

interface

uses
  System,
  System.Data,
  System.Configuration,
  System.Web,
  System.Web.Security,
  System.Web.SessionState,
  System.Web.UI,
  System.Web.UI.WebControls,
  System.Web.UI.WebControls.WebParts,
  System.Web.UI.HtmlControls,
  System.Xml.Linq,
  System.Linq,
  System.IO,
  System.Text;

type
  Default4 = public partial class(System.Web.UI.Page)
  protected
    method Button1_Click(sender: System.Object; e: System.EventArgs);
    method Page_Load(sender: Object; e: EventArgs);
    method Mensagem (nNrErro: Integer): string;
  end;

implementation

method Default4.Page_Load(sender: Object; e: EventArgs);
begin

end;
method Default4.Button1_Click(sender: System.Object; e: System.EventArgs);
begin
  TextBox1.Text := Mensagem(Convert.ToInt32(TextBox2.Text));
end;


method Default4.Mensagem (nNrErro: Integer): string;
var
  arquivo, sDsMensagem: String;
  xml: XDocument;
  sb: StringBuilder := new StringBuilder();
begin
  arquivo := Server.MapPath("xmlErros.xml");

  if File.Exists(arquivo) then
  begin
    xml := XDocument.Load(arquivo);
    var erros := from erro in xml.Descendants("Erro")
                 //where Convert.ToInt32(erro.Element("Codigo").Value) = nNrErro;
                 where erro.Element("Descricao").Value.Contains("cad");
    
     for erro in erros do
       //sDsMensagem := erro.Element("Descricao").Value;
       sb.AppendLine(erro.Element("Descricao").Value);

     //result := sDsMensagem;
     result := sb.ToString();
  end;
end;

end.
