namespace;

interface

uses
  System,
  System.Data,
  System.Configuration,
  System.Web,
  System.Web.Security,
  System.Web.UI,
  System.Web.UI.WebControls,
  System.Web.UI.WebControls.WebParts,
  System.Web.UI.HtmlControls,
  System.Collections.Generic;

type
  TEstacao = public enum (teVerao, teOutono, teInverno, tePrimavera);
  TMes = public class
  public
    constructor (Numero: integer; Nome: string); 
        
    property nNumero: integer;
    property sNome: string;
    property sEstacao: TEstacao;
  end;

  TMeses = public class  
  public
    constructor;

    method AddMes (Numero: integer; Nome: string);
    property Meses: List<TMes>;
  end;

implementation

constructor TMes (Numero: integer; Nome: string);
begin  
  nNumero := Numero;
  sNome := Nome;
  
  case Numero of  
    1..3: sEstacao := TEstacao.teVerao;
    4..6: sEstacao := TEstacao.teOutono;
    7..9: sEstacao := TEstacao.teInverno;
    10..12: sEstacao := TEstacao.tePrimavera;
  end;
end;

constructor TMeses;
begin
  Meses := new List<TMes>();
end;

method TMeses.AddMes (Numero: integer; Nome: string);  
var
  Mes: TMes := new TMes(Numero, Nome);
begin  
  Meses.Add(Mes);
end;

end.